/*
   Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#ifndef __WINDOW_H__
#define __WINDOW_H__

#include <iostream>
#include <stdlib.h>
#include <string>

#include "SDL.h"
#include "SDL_image.h"

#include "fred.h"
#include "images.h"

using namespace std;

class Window {
	public:
		Window();
		~Window();
		int createWindow();
		void drawIMG(SDL_Surface *img, int x, int y);
		void drawIMG(SDL_Surface *img, int x, int y, int w, int h);
		void drawBG(SDL_Surface *img);
		void drawBG();
		void drawScene();
		int getHeight();
		int getWidth();
		void pause(Images &images);

	private:
		// Our main drawing screen
		SDL_Surface *screen;
		int paused;
};

#endif
