/*
   Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#include "plane.h"

Plane::Plane(Images &graphics, int x, int y) {
	string filename;
	// Set the position on screen
	xpos = x;
	ypos = y;

	hspeed = 80;
	/*
	 * original speed
	hspeed = 100;
	*/

	startx = x;
	starty = y;

	// Keep a pointer to the array of images
	images = &graphics;

	visible = 1;

	// Find the airplane
	int found = 0;
	for(int thisFrame = 0; thisFrame < images->getNumberOf(); thisFrame++) {
		if(images->sprite[thisFrame].name == "plane" && !found) {
			firstFrame = thisFrame;
			found = 1;
		}
	}
	image = firstFrame;
}

Plane::~Plane() {
}

void Plane::reset() {
	xpos = startx;
	ypos = starty;
	visible = 1;
	hspeed = 100;
	image = firstFrame;
}

void Plane::makeInvisible() {
	visible = 0;
}

int Plane::isVisible() {
	return visible;
}
	
void Plane::draw(Window &window) {
	window.drawIMG(images->sprite[image].image, int(xpos), int(ypos), 
						 images->sprite[image].image->w, images->sprite[image].image->h);
}

int Plane::move(Window &window, float lag) {
	xpos += hspeed * lag;
	return xpos <= window.getWidth() ? 1 : 0;
}

int Plane::getX() {
	return int(xpos);
}

